def transform_de(str)
  decomposed = Unicode.normalize_KD(str).downcase
  decomposed.gsub!('ß', 'ss')
  decomposed.gsub([0x0308].pack('U'), 'e')
end

array = ["Straße", "öffnen"]
array.map {|x| transform_de(x) }    # ["strasse", "oeffnen"]

